## sqldbc_cons

### Einsatzmöglichkeiten

sqldbc_cons können Sie verwenden, um Traces für die MaxDB SQLDBC-Schnittstelle zu konfigurieren und zu steuern.

### Integration

sqldbc_cons ist Bestandteil von MaxDB SQLDBC.

### Funktionsumfang

#### Syntax

sqldbc_cons [<command>] [<option>]

Optionen können Sie nur einzeln angeben. Sie können nicht kombiniert werden.

Kommandos

<command> | Beschreibung
TRACE SQL ON|OFF | schaltet den SQL-Trace ein/aus siehe SQLDBC-Traces
TRACE PACKET ON|OFF | schaltet den PACKET-Trace ein/aus
TRACE SHORT ON|OFF | schaltet den SHORT-Trace ein/aus
TRACE LONG ON|OFF | schaltet den ausführlichen LONG-Trace ein/aus
TRACE OFF | schaltet alle SQLDBC-Traces aus
TRACE FILENAME <file_name> | legt den Namen <file_name> der Trace-Datei fest Ein %p im Namen wird durch die Prozess-ID der Anwendung ersetzt, für die der Trace geschrieben wird.
TRACE SIZE <size> | legt die Größe <size> der Trace-Datei fest ( in Bytes)
SHOW ALL | zeigt die Konfiguration der Traces und aktuelle Informationen zu den Traces an
SHOW CONFIG | zeigt die Konfiguration der Traces an
SHOW TRACESETTINGS | zeigt aktuelle Informationen zu den Traces an

Optionen

<option> | Beschreibung
-f | erzwingt das Ausführen des Kommandos
-h | zeigt die Hilfe an
-p <pid> | führt das Kommando nur für den Prozess mit der Prozess-ID <pid> aus
-v | zeigt ausführliche Informationen an (verbose)

###